/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { IScope } from "angular";
import { ControllerBase } from "../controllers/base.controller";
import { InjectorService } from "../services/injector.service";
export declare abstract class ComponentBase extends ControllerBase implements angular.IComponentController {
    protected scope: IScope;
    protected injector: InjectorService;
    protected constructor(scope: IScope, injector: InjectorService);
}
