"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var filter_1 = require("../decorators/filter");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var TrimFilter = /** @class */ (function () {
    function TrimFilter() {
    }
    TrimFilter_1 = TrimFilter;
    TrimFilter.trim = function (value, maxChars) {
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(value))
            return null;
        if (value.length < maxChars)
            return value;
        return value.substr(0, maxChars) + "...";
    };
    TrimFilter.factory = function () {
        return TrimFilter_1.trim;
    };
    TrimFilter = TrimFilter_1 = tslib_1.__decorate([
        filter_1.Filter({ name: "pd-trim" })
    ], TrimFilter);
    return TrimFilter;
    var TrimFilter_1;
}());
exports.TrimFilter = TrimFilter;
