/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IInterpolateService, IScope, IAttributes, IController, ITranscludeFunction } from "angular";
import { StateService, Transition } from '@uirouter/angularjs';
export declare class MdUiSrefActiveDirective extends DirectiveBase {
    private interpolate;
    private state;
    private transitions;
    constructor(interpolate: IInterpolateService, state: StateService, transitions: Transition);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    protected dispose(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(interpolate: IInterpolateService, state: StateService, transitions: Transition): MdUiSrefActiveDirective;
}
